Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font
Class BuiltinFont

    java.lang.Object
      com.sun.pdfview.font.PDFFont
          com.sun.pdfview.font.OutlineFont
              com.sun.pdfview.font.Type1Font
                  com.sun.pdfview.font.BuiltinFont

    public class BuiltinFont

extends Type1Font

This class represents the 14 built-in fonts. It reads these fonts from files in the "res" directory, as specified in BaseNames.properties.

Constructor Summary
`BuiltinFont(java.lang.String baseFont, PDFObject fontObj)` Create a new Builtin object based on the name of a built-in font This must be the name of one of the 14 built-in fonts!
`BuiltinFont(java.lang.String baseFont, PDFObject fontObj, PDFFontDescriptor descriptor)` create a new BuiltingFont object based on a description of the font from the PDF file.

Method Summary

Methods inherited from class com.sun.pdfview.font.Type1Font
`getOutline, getOutline, getWidth, parseFont`

Methods inherited from class com.sun.pdfview.font.OutlineFont
`getCharCount, getDefaultWidth, getFirstChar, getGlyph, getLastChar`

Methods inherited from class com.sun.pdfview.font.PDFFont
`equals, getBaseFont, getCachedGlyph, getDescriptor, getEncoding, getFont, getGlyphs, getSubtype, getUnicodeMap, hashCode, setBaseFont, setDescriptor, setEncoding, setSubtype, setUnicodeMap, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuiltinFont

    public BuiltinFont(java.lang.String baseFont,
                       PDFObject fontObj)
                throws java.io.IOException

  Create a new Builtin object based on the name of a built-in font This must be the name of one of the 14 built-in fonts!

  Parameters:
    `baseFont` - the name of the font, from the PDF file
    `fontObj` - the object containing font information
  Throws:
    `java.io.IOException`

### BuiltinFont

    public BuiltinFont(java.lang.String baseFont,
                       PDFObject fontObj,
                       PDFFontDescriptor descriptor)
                throws java.io.IOException

  create a new BuiltingFont object based on a description of the font from the PDF file. Parse the description for key information and use that to generate an appropriate font.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD